import request from '@/utils/request'

// 获取场站日发电量
export function statisticsHisdataApi(params) {
	return request({
		url: '/station/hisdata',
		'method': 'GET',
		params: params
	})
}
// 获取场站月发电量
export function electricityStatisticsApi(params) {
	return request({
		url: '/electricity/statistics',
		'method': 'GET',
		params: params
	})
}

//获取公司电量
export function bulletinappCompanyelectricityApi() {
	return request({
		url: '/bulletinapp/companyelectricity',
		'method': 'GET'
	})
}

//获取公司预测数据
export function bulletinappForecastApi(params) {
	return request({
		url: '/bulletinapp/forecast',
		'method': 'GET',
		'params': params
	})
}

//获取场站预测数据
export function bulletinappCzforecastApi(params) {
	return request({
		url: '/bulletinapp/czforecast',
		'method': 'GET',
		'params': params
	})
}

//获取公司预测数据--24小时功率曲线
export function cockpitPowercurve24Api(params) {
	return request({
		url: '/cockpit/Powercurve24',
		'method': 'GET',
		'params': params
	})
}

//获取场站预测数据--72小时风功率曲线
export function forecastShortApi(params) {
	return request({
		url: '/Forecast/short',
		'method': 'GET',
		'params': params
	})
}